Bug 679588 - R200 misrenders some mesa demos
R200 misrenders some mesa demos
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
15
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Jerome Glisse
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks: 740325
  Show dependency treegraph
 
Reported: 2011-02-22 17:19 EST by Nicholas Miell
Modified: 2012-08-07 12:27 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 740325 (view as bug list)
Environment:
Last Closed: 2012-08-07 12:27:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
reflect, as rendered by a rv280 (13.06 KB, image/png)
2011-02-22 17:22 EST, Nicholas Miell
no flags Details
reflect, software rendering (42.95 KB, image/png)
2011-02-22 17:22 EST, Nicholas Miell
no flags Details
teapot, as rendered by a rv280 (110.54 KB, image/png)
2011-02-22 17:22 EST, Nicholas Miell
no flags Details
teapot, software rendering (131.34 KB, image/png)
2011-02-22 17:23 EST, Nicholas Miell
no flags Details
Xorg.0.log (52 bytes, text/plain)
2011-03-07 14:56 EST, Nicholas Miell
no flags Details
dmesg (52 bytes, text/plain)
2011-03-07 14:57 EST, Nicholas Miell
no flags Details
/var/log/messages (52 bytes, text/plain)
2011-03-07 14:57 EST, Nicholas Miell
no flags Details

  None (edit)
Description Nicholas Miell 2011-02-22 17:19:43 EST
Description of problem:
R200 misrenders the teapot and reflect mesa demos.
Possibly others, haven't tried them.

Version-Release number of selected component (if applicable):
February 2011 test day live CD
TI Technologies Inc RV280 [Radeon 9200] (Secondary) (rev 01)

Smolt profile: http://www.smolts.org/client/show/pub_a5d07af1-0e5e-4bb1-b6cb-5d02feaf0891

How reproducible:
Always

Steps to Reproduce:
1. Run teapot or reflect
2. Run them again with LIBGL_ALWAYS_SOFTWARE=1
3. Compare the output images
  
Actual results:
Reflect doesn't seem to be lit
Texturing of the floor in teapot is wrong

Expected results:
Images are fairly close to identical

Additional info:
Comment 1 Nicholas Miell 2011-02-22 17:22:12 EST
Created attachment 480283 [details]
reflect, as rendered by a rv280
Comment 2 Nicholas Miell 2011-02-22 17:22:31 EST
Created attachment 480284 [details]
reflect, software rendering
Comment 3 Nicholas Miell 2011-02-22 17:22:50 EST
Created attachment 480285 [details]
teapot, as rendered by a rv280
Comment 4 Nicholas Miell 2011-02-22 17:23:11 EST
Created attachment 480286 [details]
teapot, software rendering
Comment 5 Matěj Cepl 2011-03-07 10:39:12 EST
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please add drm.debug=0x04 to the kernel command line, restart computer, and attach

* your X server config file (/etc/X11/xorg.conf, if available),
* X server log file (/var/log/Xorg.*.log)
* output of the dmesg command, and
* system log (/var/log/messages)

to the bug report as individual uncompressed file attachments using the bugzilla file attachment link above.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 6 Nicholas Miell 2011-03-07 14:56:32 EST
Created attachment 482777 [details]
Xorg.0.log
Comment 7 Nicholas Miell 2011-03-07 14:57:21 EST
Created attachment 482779 [details]
dmesg
Comment 8 Nicholas Miell 2011-03-07 14:57:45 EST
Created attachment 482780 [details]
/var/log/messages
Comment 9 Matěj Cepl 2011-03-08 08:39:32 EST
/var/log/Xorg.0.log is the attachment 480896 [details]
dmesg output is the attachment 480897 [details]
/var/log/messages is the attachment 480898 [details]
Comment 10 Nicholas Miell 2011-03-08 15:15:28 EST
It's the exact same disc image on the exact same hardware, what more do you want?
Comment 11 Matěj Cepl 2011-03-08 18:22:43 EST
(In reply to comment #10)
> It's the exact same disc image on the exact same hardware, what more do you
> want?

Nothing, I just made better links to the bug. As you can see I declared this bug complete in terms of logs and passed it to the developers.
Comment 12 Nicholas Miell 2011-03-08 18:25:43 EST
Oh, I'm sorry. I completely misinterpreted what you were doing. My apologies.
Comment 13 Fedora End Of Life 2012-08-07 12:27:42 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.